package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcTradebillUploadRecordDomain;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface XhpcTradebillUploadRecordMapper {

    XhpcTradebillUploadRecordDomain selectByUrl(String url);

    int deleteByPrimaryKey(Integer id);

    int insert(XhpcTradebillUploadRecordDomain record);

    int insertSelective(XhpcTradebillUploadRecordDomain record);

    XhpcTradebillUploadRecordDomain selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(XhpcTradebillUploadRecordDomain record);

    int updateByPrimaryKey(XhpcTradebillUploadRecordDomain record);

    List<XhpcTradebillUploadRecordDomain> selectByType(@Param("params") Map params);

    List<XhpcTradebillUploadRecordDomain> getXhpcTradebillUploadRecordcheckPage(@Param("params") Map params);
}